body {
    background: #EC9EAB;
    font-family: "Brush Script MT", cursive;
    display: flex;
    justify-content: center;
    padding: 15px;
    margin: 0;
}


.diary-page {
    width: 100%;
    max-width: 1120px;
    min-height: 700px;
    margin: 10px auto;
    background: #fffef8;
    border-radius: 15px;
    padding: 25px;
    padding-bottom: 70px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    position: relative;
}


.diary-page h1 {
    text-align: center;
    margin-bottom: 20px;
}


#event-date {
    border: none;
    background: transparent;
    outline: none;
    font-family: sans-serif;
    font-size: 16px;
    color: #333;
    margin-top: 8px;
    cursor: pointer;
}


.date-text {
    display: none;
    font-family: "Lucida Handwriting", cursive;
    font-size: 18px;
    margin-top: 5px;
}


.sticky {
    position: sticky;
    top: 0;
    background: #fffef8;
    z-index: 10;
    padding-bottom: 10px;
    margin-bottom: 15px;
}


.line {
    display: flex;
    align-items: center;
    gap: 10px;
    border-bottom: 2px solid #b7b7b7;
    padding: 6px 0;
    flex-wrap: nowrap;
}


.line input {
    border: none;
    outline: none;
    background: transparent;
    font-family: "Lucida Handwriting", cursive;
    font-size: 18px;
    color: #333;
    min-width: 0;
    white-space: nowrap;
}


.expense-name {
    flex: 3;
    padding-bottom: 6px;
}


.expense-amount {
    flex: 1;
    text-align: right;
    padding-bottom: 6px;
    border-left: 2px solid #aaa;
    padding-left: 8px;
}


.total-text {
    margin-top: 25px;
    padding-right: 10px;
    font-family: "Lucida Handwriting", cursive;
    font-size: 26px;
    text-align: right;
    font-weight: bold;
}


.button {
    background-color: azure;
    color: black;
    font-family: sans-serif;
    padding: 12px 22px;
    font-size: 16px;
    display: block;
    margin: 30px auto 0 auto;
    border-radius: 6px;
    border: 1px solid #aaa;
    cursor: pointer;
}


@media (max-width: 600px) {

    body {
        padding: 10px 12px;
        padding-left: 35px;
        padding-right: 35px;
    }

    .diary-page {
        padding: 18px 18px;
    }

    .expense-name,
    .expense-amount {
        font-size: 14px;
    }

    .expense-amount {
        padding-left: 6px;
    }

    .total-text {
        font-size: 20px;
    }

    .button {
        width: 100%;
        font-size: 15px;
    }
}
